package com.ideabus.sdk_test.numberpicker;

import android.app.AlertDialog;
import android.content.Context;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.NumberPicker;
import android.widget.TextView;

import com.ideabus.sdk_test.R;

public class NumerPickerDialog {

    private AlertDialog mAlertDialog;
    private View mLoadView;
    private TextView tilteView;
    private String txtTitle = "Title text";
    private NumberPicker numPicket;

    public int mMax = 3;
    public int mMin = 1;
    public int mCurrent = 3;
    private int numberData;

    //public NumerPickerDialog() {}
    public void setDialogValue(final int max, final int min, final int current, final String txtTitle)
    {
        mMax = max;
        mMin = min;
        mCurrent = current;
        this.txtTitle = txtTitle;
    }

    public void show(Context context)
    {
        mAlertDialog = new AlertDialog.Builder(context).create();
        mLoadView = LayoutInflater.from(context).inflate(R.layout.dialog_number_picker, null);
        mAlertDialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        mAlertDialog.setView(mLoadView, 0, 0, 0, 0);
        mAlertDialog.setCanceledOnTouchOutside(true);
        tilteView = mLoadView.findViewById(R.id.textview_common_alert_title);
        tilteView.setText(this.txtTitle);

        Button btnCancel = mLoadView.findViewById(R.id.button_common_alert_cancel);
        Button btnOk = mLoadView.findViewById(R.id.button_common_alert_ok);
        numPicket = mLoadView.findViewById(R.id.numberPicker);
        numPicket.setMaxValue(mMax);
        numPicket.setMinValue(mMin);
        numPicket.setValue(mCurrent);
        btnCancel.setVisibility(View.GONE);

        numPicket.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
            @Override
            public void onValueChange(NumberPicker picker, int oldVal, int newVal) {
                mCurrent = newVal;
            }
        });

        try
        {
            mAlertDialog.show();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }

    public void dismiss()
    {
        numberData = numPicket.getValue();
        if (mAlertDialog != null)
            mAlertDialog.dismiss();
    }

    public int getmCurrent()
    {
        return mCurrent;
    }

}
